This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 184026 - fstab-sync breaks symlinked /etc/fstab
fstab-sync breaks symlinked /etc/fstab
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 22:02 EST by JW
Modified: 2013-03-05 22:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 21:46:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A lrename() function to use instead of rename() (1.45 KB, text/plain)
2006-03-04 22:02 EST, JW
no flags Details

  None (edit)
Description JW 2006-03-04 22:02:00 EST
Description of problem:
If /etc/fstab is a symlink then fstab-sync will replace it with a plain file
even if no changes need to be made (often the case).

Version-Release number of selected component (if applicable):
hal-0.5.2-2

How reproducible:
Always

Steps to Reproduce:
1.create /etc.fstab as a symlink
2.induce fstab-sync to run (rebooting is one way)
3.check what happened to symlink
  
Actual results:
symlink broken and replace by plain file

Expected results:
symlink retained and target modified


Additional info:
Comment 1 JW 2006-03-04 22:02:00 EST
Created attachment 125657 [details]
A lrename() function to use instead of rename()
Comment 2 JW 2006-03-04 22:05:02 EST
This is a lrename() function which differs from rename() in that it attempt to
follow a destination symbolic link.  It is as atomic as rename().  Using this
function instead of rename(P) will ensure that symbolic links are preserved if
possible, on the grounds that people create symbolic links intentionally and
they really want all file reading/writing to go to the symlink target and not
the symlink itself.

Symbolic links should be transparent as far as possible.
Comment 3 Christian Iseli 2007-01-22 05:22:30 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 JW 2007-01-22 06:00:31 EST
no info
Comment 5 Matthew Miller 2007-04-10 15:44:41 EDT
Fedora Core 4 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.
Comment 6 JW 2007-04-10 20:20:54 EDT
Applicable to Fedora Core 6. Sorry about that.
Comment 7 David Zeuthen 2007-04-10 20:43:11 EDT
CANTFIX as fstab-sync is not in FC6. Closing.
Comment 8 JW 2007-04-10 20:56:53 EDT
The name has changed - it now occurs in
libexec/hal-storage-cleanup-all-mountpoints and
libexec/hal-storage-cleanup-mountpoint etc.  The same problem exists.
Comment 9 David Zeuthen 2007-04-10 21:46:33 EDT
Uhm, no. These functions operate on /media/.hal-mtab
Comment 10 JW 2007-04-10 21:50:01 EDT
Congratulations. You passed my alertness test. Thank you.



Note You need to log in before you can comment on or make changes to this bug.